import React from 'react';
import { storiesOf } from '@storybook/react';
import { action } from '@storybook/addon-actions';
import CheckBox from './index'
import {
  text,
  boolean,
  number,
  object,
  array,
  date,
  color,
  button
} from '@storybook/addon-knobs/react';
import { withInfo } from '@storybook/addon-info';
import { linkTo } from '@storybook/addon-links'
import styled from 'styled-components';


storiesOf('CheckBox', module)
  .add('CheckBox',
     withInfo('info text')(
          () => (
            <CheckBox
              onChange={action('onChange')}
              disabled={boolean('disabled',false)}
              fontSize={number('size',14)}
              label={text('Label','Tick')}
            />
          )
     ))